/* eslint-disable @typescript-eslint/no-unused-vars */
import type { CascaderProps } from 'element-plus'
export interface citySelectProps {
  // 选中数据
  modelValue: string
  // 地区类型
  type?: 'province' | 'city' | 'area'
  props?: CascaderProps
  // 自定义数据源
  datasource?: () => Promise<Array<any>>
}

/* 事件 */
export const citySelectEmits = {
  // 选择事件
  change: (_value: any) => true,
  // 修改modelValue
  'update:modelValue': (_value: any) => true
}
